## 平台简介

RuoYi-Vue-Plus 是基于 RuoYi-Vue 针对 `分布式集群` 场景升级(不兼容原框架)

| 功能介绍 | 使用技术 | 文档地址 | 特性注意事项 |
|---|---|---|---|
| 当前框架 | RuoYi-Vue-Plus | [RuoYi-Vue-Plus文档](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/pages) | 重写RuoYi-Vue全方位升级(不兼容原框架) |
| 原框架 | RuoYi-Vue | [RuoYi-Vue官网](http://ruoyi.vip/) | 定期同步需要的功能 |
| 前端开发框架 | Vue、Element UI | [Element UI官网](https://element.eleme.cn/#/zh-CN) | |
| 后端开发框架 | SpringBoot | [SpringBoot官网](https://spring.io/projects/spring-boot/#learn) | |
| 容器框架 | Undertow | [Undertow官网](https://undertow.io/) | 基于 Netty 的高性能容器 |
| 权限认证框架 | Spring Security、Jwt | [SpringSecurity官网](https://spring.io/projects/spring-security#learn) | 支持多终端认证系统 |
| 关系数据库 | MySQL | [MySQL官网](https://dev.mysql.com/) | 适配 8.X 最低 5.7 |
| 缓存数据库 | Redis | [Redis官网](https://redis.io/) | 适配 6.X 最低 4.X |
| 数据库框架 | Mybatis-Plus | [Mybatis-Plus文档](https://baomidou.com/guide/) | 快速 CRUD 增加开发效率 |
| 数据库框架 | p6spy | [p6spy官网](https://p6spy.readthedocs.io/) | 更强劲的 SQL 分析 |
| 多数据源框架 | dynamic-datasource | [dynamic-ds文档](https://www.kancloud.cn/tracy5546/dynamic-datasource/content) | 支持主从与多种类数据库异构 |
| Redis客户端 | Redisson | [Redisson文档](https://github.com/redisson/redisson/wiki/%E7%9B%AE%E5%BD%95) | 性能强劲、API丰富 |
| 序列化框架 | Jackson | [Jackson官网](https://github.com/FasterXML/jackson) | 统一使用 jackson 高效可靠 |
| 网络框架 | Feign、OkHttp3 | [Feign官网](https://github.com/OpenFeign/feign) | 接口化管理 HTTP 请求 |
| 分布式锁 | Lock4j | [Lock4j官网](https://gitee.com/baomidou/lock4j) | 注解锁、工具锁 多种多样 |
| 监控框架 | SpringBoot-Admin | [SpringBoot-Admin文档](https://codecentric.github.io/spring-boot-admin/current/) | 全方位服务监控 |
| 校验框架 | Validation | [Validation文档](https://docs.jboss.org/hibernate/stable/validator/reference/en-US/html_single/) | 增强接口安全性、严谨性 |
| Excel框架 | Alibaba EasyExcel | [EasyExcel文档](https://www.yuque.com/easyexcel/doc/easyexcel) | 性能优异 扩展性强 |
| 文档框架 | Knife4j | [Knife4j文档](https://doc.xiaominfo.com/knife4j/documentation/) | 美化接口文档 |
| 工具类框架 | Hutool、Lombok | [Hutool文档](https://www.hutool.cn/docs/) | 减少代码冗余 增加安全性 |
| 代码生成器 | 适配MP、Knife4j规范化代码 | [Hutool文档](https://www.hutool.cn/docs/) | 一键生成前后端代码 |
| 部署方式 | Docker | [Docker文档](https://docs.docker.com/) | 容器编排 一键部署业务集群 |
| 国际化 | SpringMessage | [SpringMVC文档](https://docs.spring.io/spring-framework/docs/current/reference/html/web.html#mvc) | Spring标准国际化方案 |

## 参考文档

使用框架前请仔细阅读文档重点注意事项
<br>
> [初始化项目 必看](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于初始化项目?sort_id=4164117)
>> [https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于初始化项目?sort_id=4164117](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于初始化项目?sort_id=4164117)
>
>[部署项目 必看](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于应用部署?sort_id=4219382)
>> [https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于应用部署?sort_id=4219382](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/关于应用部署?sort_id=4219382)
>
>[参考文档 Wiki](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/pages)
>> [https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/pages](https://gitee.com/JavaLionLi/RuoYi-Vue-Plus/wikis/pages)

## 软件架构图

![Plus部署架构图](https://images.gitee.com/uploads/images/2021/0729/112230_4295e5ce_1766278.png "Plus部署架构图.png")

## 业务功能

| 功能 | 介绍 |
|---|---|
| 用户管理 | 用户是系统操作者，该功能主要完成系统用户配置。 |
| 部门管理 | 配置系统组织机构（公司、部门、小组），树结构展现支持数据权限。 |
| 岗位管理 | 配置系统用户所属担任职务。 |
| 菜单管理 | 配置系统菜单，操作权限，按钮权限标识等。 |
| 角色管理 | 角色菜单权限分配、设置角色按机构进行数据范围权限划分。 |
| 字典管理 | 对系统中经常使用的一些较为固定的数据进行维护。 |
| 参数管理 | 对系统动态配置常用参数。 |
| 通知公告 | 系统通知公告信息发布维护。 |
| 操作日志 | 系统正常操作日志记录和查询；系统异常信息日志记录和查询。 |
| 登录日志 | 系统登录日志记录查询包含登录异常。 |
| 文件管理 | 系统文件上传、下载等管理。 |
| 定时任务 | 在线（添加、修改、删除)任务调度包含执行结果日志。 |
| 代码生成 | 前后端代码的生成（java、html、xml、sql）支持CRUD下载 。 |
| 系统接口 | 根据业务代码自动生成相关的api接口文档。 |
| 服务监控 | 监视集群系统CPU、内存、磁盘、堆栈、在线日志、Spring相关配置等。 |
| 缓存监控 | 对系统的缓存信息查询，命令统计等。 |
| 在线构建器 | 拖动表单元素生成相应的HTML代码。 |
| 连接池监视 | 监视当前系统数据库连接池状态，可进行分析SQL找出系统性能瓶颈。 |
| 使用案例 | 系统的一些功能案例 |

## 注意点

切换数据库需要修改generator模块中GenTableColumnMapper.xml和GenTableMapper.xml，找到其中的mysql和postgresql标识

## 测试环境参数

k8s master节点:
ip: 10.11.96.31 登录: root/Lw123456

> pg数据库:

ip: 10.11.96.34 端口：16430 用户：postgres 密码：Superman@2021 数据库：sqjt

> nacos:

http://10.11.96.37:8848/nacos
登录：nacos/nacos

> redis:

ip: 10.11.96.37 端口: 6379 密码：superman

> 应用服务器：

10.11.96.40 登录: root/Lw123456

> VPN:

https://61.147.254.214:8443
test02/12345678

> 测试环境访问：

http://sqpc.xt.wenhq.top:8083/
移动端事件处置：http://sqmb.xt.wenhq.top:8083/#/home
移动端事件上报：http://sqmb.xt.wenhq.top:8083/#/status/undefined/report
移动端资源管理：http://sqmb.xt.wenhq.top:8083/#/warehouse/detail

> 宿迁windows上传镜像部署

```
docker pull docker.xt.wenhq.top:8083/docker_r/yjzh_server:3.1
docker tag docker.xt.wenhq.top:8083/docker_r/yjzh_server:3.1  10.11.208.18:18080/hses/yjzh_server:v3.1
docker push 10.11.208.18:18080/hses/yjzh_server:v3.1
```

```
# 业务系统
cp -r /Users/huangcheng/workspace/xitong/front/squi/dist/* /Users/huangcheng/workspace/xitong/front/yjzh-web/webfile/sqpc/
# 大屏端
cp -r /Users/huangcheng/workspace/xitong/front/squi-HD/dist/* /Users/huangcheng/workspace/xitong/front/yjzh-web/webfile/sqpchd/
# 大华
cp -r /Users/huangcheng/workspace/xitong/front/squi-DAHUA/* /Users/huangcheng/workspace/xitong/front/yjzh-web/webfile/sqdh/
# docker build&push
docker build -t docker.xt.wenhq.top:8083/docker_r/yjzh-web:latest /Users/huangcheng/workspace/xitong/front/yjzh-web/.
docker push docker.xt.wenhq.top:8083/docker_r/yjzh-web:latest
```

```
docker pull docker.xt.wenhq.top:8083/docker_r/yjzh-web:latest
docker tag docker.xt.wenhq.top:8083/docker_r/yjzh-web:latest  10.11.208.18:18080/hses/yjzh-web:v1.1
docker push 10.11.208.18:18080/hses/yjzh-web:v1.1
```

> 内网系统访问地址

http://10.11.208.12:31000/sqpchd/#/home
http://10.11.208.12:31000/sqpc/#/home

> Minio

http://minio.xt.wenhq.top:8083
accesskey: AKIAIOSFODNN7EXAMPLE secretkey: wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY

> 导入模板下载
http://localhost:8080/api/common/download/resource/local?resource=excel/resourceUser.xls


