package com.ruoyi.web.controller.zhdd;

import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONObject;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.framework.web.service.SysPermissionService;
import com.ruoyi.system.service.ISysUserService;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Set;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/7/4
 * @Version V1.0
 */
@Api(value = "应急指挥公共接口", tags = {"应急指挥公共接口"})
@RequiredArgsConstructor(onConstructor_ = @Autowired)
@RestController
public class ZhddCommonController {

    private final ISysUserService userService;
    private final SysPermissionService permissionService;

    @GetMapping("/isUserHasPermission")
    public JSONObject isUserHasPermission(@RequestParam String userId) {
        JSONObject jo = new JSONObject();
        jo.set("success", true);
        jo.set("message", "成功");
        jo.set("code", 200);
        jo.set("result", new JSONObject().set("hasPermission", false));
        // 判断当前用户有无权限
        SysUser sysUser = userService.selectUserById(userId);
        if (sysUser != null) {
            if (StrUtil.isNotBlank(sysUser.getDeptId())) {
                // 查询当前用户角色
                SysUser userRole = new SysUser();
                userRole.setUserId(userId);
                Set<String> roles = permissionService.getRolePermission(userRole);
                if (!roles.isEmpty()) {
                    jo.set("result", new JSONObject().set("hasPermission", true));
                }
            }
        }
        return jo;
    }
}
