package com.ruoyi.common.utils;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.core.domain.entity.SysDept;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
 * 对应部门的表,处理并查找树级数据
 * <p>
 *
 * @Author: Steve
 * @Date: 2019-01-22
 */
public class FindsDepartsChildrenUtil {

    /**
     * 查询某个部门的全路径
     *
     * @param list
     * @param parentId
     * @return
     */
    public static String departFullName(List<SysDept> list, String parentId) {
        if (StrUtil.isBlank(parentId)) {
            return "";
        }
        String name = "";
        // 遍历部门数据
        Map<String, SysDept> collect = list.stream().collect(Collectors.toMap(SysDept::getDeptId, b -> b));
        // 根据parentId查询
        SysDept sysDepart = collect.get(parentId);
        if (sysDepart != null) {
            name = sysDepart.getDeptName().concat(name).concat("/");
            if (StrUtil.isNotBlank(sysDepart.getParentId())) {
                name = searchDepartName(collect, name, sysDepart.getParentId());
            }
        }
        return name;
    }

    private static String searchDepartName(Map<String, SysDept> collect, String name, String parentId) {
        SysDept sysDepart = collect.get(parentId);
        if (sysDepart != null) {
            name = sysDepart.getDeptName().concat("/").concat(name);
            if (StrUtil.isNotBlank(sysDepart.getParentId())) {
                searchDepartName(collect, name, sysDepart.getParentId());
            }
        }
        return name;
    }
}
