package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

/**
 * 危化品信息对象 b_chemical_data
 *
 * @author xintong
 * @date 2022-01-14
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_chemical_data")
public class ChemicalData implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * id
     */
    private String id;

    /**
     * 中文名称
     */
    private String name;

    /**
     * 内容
     */
    private String content;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * $column.columnComment
     */
    @TableLogic
    private String delFlag;

}
