package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 值班报告信息对象 b_duty_report
 *
 * @author xintong
 * @date 2021-10-11
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_duty_report_record")
public class DutyReportRecord implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * $column.columnComment
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private String reportId;

    /**
     * 报告内容
     */
    private String reportContent;

    /**
     * 报告状态
     */
    private Integer status;

    // 值班人名
    private String createByName;
    // 接班人员
    private String receiveUser;
    // 交班时间
    private Date passDateTime;
    private String receiveUserName;
    private Date deadline;
    private Date receiveDateTime;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
