package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件基础对象 b_incident
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_incident")
public class Incident implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 事件类型
     */
    private Integer type;

    /**
     * 事件等级
     */
    private Integer level;

    /**
     * 事件地址
     */
    private String addr;

    /**
     * 经纬度
     */
    private String locations;

    /**
     * 上报部门
     */
    private String createDept;

    private String planDept;

    /**
     * 归档总结
     */
    private String conclusion;

    private String conclusionDeal;

    private String conclusionFile;

    /**
     * 上报人
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 上报时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * $column.columnComment
     */
    @TableLogic
    private String delFlag;

    /**
     * 事件来源
     */
    private String source;

    /**
     * 事件描述
     */
    private String des;

    /**
     * 上传图片地址
     */
    private String pic;

    /**
     * 上传视频地址
     */
    private String video;

    /**
     * 拓展1
     */
    private String expr1;

    /**
     * 拓展2
     */
    private String expr2;

    /**
     * json拓展，用于存取多出的字段
     */
    private String exprJson;

    /**
     * 事件标题
     */
    private String name;

    /**
     * 事件状态 1：预警，2：事件 3：归档
     */
    private Integer status;

    private String commander;
    private String commanderText;

    private String commanderUser;

    /**
     * 主办单位
     */
    private String madinDept;
    private String madinDeptText;

    private String madinDeptUser;
    private String madinTaskUser;

    /**
     * 协办单位 多个数据用，分割
     */
    private String assistDept;
    private String assistDeptText;

    //    private String assistDeptUser;
    private String assistTaskUser;

    // 忽略说明
    private String ignores;

    private Date happenTime;

}
