package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件处置流程对象 b_incident_process
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_incident_process")
public class IncidentProcess implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 所属事件id
     */
    private String incidentId;

    /**
     * 处置过程
     */
    private String des;

    /**
     * 事件状态 1：预警，2：事件 3：归档
     */
    private Integer status;

    private Integer incidentStatus;

    private String taskId;

    private String pic;
    private String video;

    /**
     * 过程创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @TableField(exist = false)
    private String createTimeText;

    /**
     * 过程创建人
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @TableField(exist = false)
    private String userRead;

    @TableField(exist = false)
    private String userUnRead;

}
