package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件处置流程对象 b_incident_process
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_incident_task")
public class IncidentTask implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 所属事件id
     */
    private String incidentId;

    private String taskName;

    private String sendFlag;

    // 是否发送。0-未发送，1-已发送
    private String taskSend;

    // 待办消息状态。0-未办。1-已办
    private String backLogFlag;

    @TableLogic
    private String delFlag;

    /**
     * 过程创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 过程创建人
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    private String exprJson;

    private String chemicals;

    private String chemicalsText;

    private String chemicalsHtml;

    // 方案来源（1：历史事件）
    private String channel;

}
