package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 预案文件管理对象 b_plan_task
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_plan_file")
public class PlanFile implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 任务id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 所属预案id
     */
    private String planId;

    /**
     *
     */
    private String fileName;

    /**
     *
     */
    private String fileUrl;

    /**
     * 创建用户
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    /**
     * $column.columnComment
     */
    @TableLogic
    private String delFlag;

}
