package com.ruoyi.zhdd.domain;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 应急资源明细对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_resource_detail")
public class ResourceDetail implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * $column.columnComment
     */
    @TableId(value = "id")
    private String id;

    /**
     * 资源id
     */
    private String resourceId;

    private Integer resourceType;

    /**
     * 名称
     */
    @Excel(name = "姓名")
    private String name;

    /**
     * 型号
     */
    private String model;

    /**
     * 规格
     */
    private String size;

    /**
     * 数量
     */
    private BigDecimal num;
    private BigDecimal availableNum;
    private String pic;

    /**
     * 单位
     */
    private String unit;

    /**
     * $column.columnComment
     */
    @TableLogic
    private String delFlag;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * $column.columnComment
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    private String sex;

    @Excel(name = "身份证号")
    private String idcard;

    private String birth;

    private String age;

    @Excel(name = "职位")
    private String position;

    @Excel(name = "政治面貌")
    private String political;

    @Excel(name = "联系电话")
    private String contactPhone;

    // 车船类型（车辆、船舶）
    private String carType;

    private String carDetailType;
    // 限载量
    private String carLimit;

}
