package com.ruoyi.zhdd.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

/**
 * 单兵数据信息对象 b_single_device
 *
 * @author xintong
 * @date 2021-12-17
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("b_single_device")
public class SingleDevice implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 设备id
     */
    private String deviceCode;

    /**
     * 经度
     */
    private BigDecimal gpsX;

    /**
     * 纬度
     */
    private BigDecimal gpsY;

    /**
     * 高度信息。单位米
     */
    private BigDecimal height;

    /**
     * 方向角(正北方为原点，顺时针为正)
     */
    private BigDecimal angle;

    /**
     * 时速。单位（公里/小时）
     */
    private BigDecimal speed;

    /**
     * 定位星数
     */
    private Integer startCount;

    /**
     * 数据来源（1：app。2：车载。3：单兵。4：PDT 350M。5：无人机）
     */
    private Integer dataSource;

    /**
     * gps上报时间 20060102T150405Z
     */
    private String time;

    /**
     * 扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段
     */
    private String extendInfo;

    /**
     * 设备的扩展信息
     */
    private String deviceExtendInfo;

    private String channelId;

}
