package com.ruoyi.zhdd.domain.bo;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

import java.util.List;

/**
 * @Description: 待办消息请求体
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Data
public class BacklogMessagePushBo {
    // 应用id号（与注册到统一登陆平台的一致）
    private String appId = "fa6f711286474bff8b1aae7d89775f03";
    private String uuId;
    // 签名（值为MD5(AppId+ SendTime +Content）
    private String verify;
    // 标题（必填）
    private String title;
    // 事项具体内容
    private String content;
    // 发送部门/人员
    private String senderId;
    // 待办类型（华设固定给“3”）
    private String type = "3";
    // 发送的用户
    private List<String> receiverId;
    // 备注 （访问详情页面预留的参数，例如activity）
    private String note;
    // 下发时间
    private String sendTime = DateUtil.now();
    // 副标题(非必填)
    private String subhead;
    // 该事项紧急程度码，10：最高级，紧急处置；5：着重提醒；0：普通事项，正常显示处理
    private Integer urgency = 5;
    // ”状态”, 0：未办 1：已办（必填0）
    private String status = "0";
    // 跳转的详情页面地址
    private String url;


}
