package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.AddGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 值班排班信息业务对象 b_duty_emp
 *
 * @author xintong
 * @date 2021-10-11
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("值班排班信息业务对象")
public class DutyEmpBo extends BaseEntity {

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    private String id;

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @NotNull(message = "period不能为空", groups = {AddGroup.class})
    private Integer period;

    /**
     * 时间段
     */
    @NotBlank(message = "periodTime不能为空", groups = {AddGroup.class})
    private String periodTime;

    /**
     * 值班人员的json格式
     */
    @NotBlank(message = "empJson不能为空", groups = {AddGroup.class})
    private String empJson;

    /**
     * 值班人
     */
    @ApiModelProperty(value = "值班人")
    private String empName;

    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
