package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 值班排班信息业务对象 b_duty_emp
 *
 * @author xintong
 * @date 2021-10-11
 */

@Data
@ApiModel("值班排班信息业务对象2")
public class DutyEmpSaveBo {

    /**
     * 日期
     */
    @ApiModelProperty(value = "日期")
    @NotNull(message = "period不能为空", groups = {AddGroup.class})
    private Integer period;

    private List<DutyDetail> dutyDetailList;

    @Data
    public static class DutyDetail {

        /**
         * 时间段
         */
        private String periodTime;

        /**
         * 值班人员的json格式
         */
        private String empJson;

    }

}
