package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 值班报告信息业务对象 b_duty_report
 *
 * @author xintong
 * @date 2021-10-11
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("值班报告日志信息业务对象")
public class DutyReportRecordBo extends BaseEntity {

    /**
     * $column.columnComment
     */
    private String id;

    private String reportId;

    @ApiModelProperty(value = "报告内容")
    private String reportContent;

    @ApiModelProperty(value = "报告状态.2-已交班。3-已完成。4-已取消")
    private Integer status;

    // 值班人名
    private String createByName;
    // 接班人员
    private String receiveUser;
    private String receiveUserName;
    private Date deadline;
    private Date passDateTime;
    private Date receiveDateTime;

    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
