package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.AddGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * 事件处置流程业务对象 b_incident_process
 *
 * @author xitong
 * @date 2021-09-28
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("事件处置流程业务对象")
public class IncidentProcessBo extends BaseEntity {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private String id;

    /**
     * 所属事件id
     */
    @ApiModelProperty(value = "所属事件id")
    @NotBlank(message = "incidentId不能为空", groups = {AddGroup.class})
    private String incidentId;

    /**
     * 处置过程
     */
    @ApiModelProperty(value = "处置过程")
    @NotBlank(message = "des不能为空", groups = {AddGroup.class})
    private String des;

    @ApiModelProperty(value = "事件状态 1：预警，2：事件 3：归档")
    private Integer status;

    private Integer incidentStatus;

    private String taskId;

    private String pic;
    private String video;

    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
