package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 预案任务管理业务对象 b_plan_task
 *
 * @author xitong
 * @date 2021-09-28
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("预案文件管理业务对象")
public class PlanFileBo extends BaseEntity {

    /**
     * 任务id
     */
    @ApiModelProperty(value = "任务id")
    private String id;

    /**
     * 所属预案id
     */
    @ApiModelProperty(value = "所属预案id")
    @NotBlank(message = "planId不能为空", groups = { AddGroup.class })
    private String planId;

    /**
     * 任务名称
     */
    @ApiModelProperty(value = "名称")
    @NotBlank(message = "fileName不能为空", groups = { AddGroup.class })
    private String fileName;

    /**
     * 任务描述
     */
    @ApiModelProperty(value = "路径")
    @NotBlank(message = "fileUrl不能为空", groups = { AddGroup.class })
    private String fileUrl;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    private String delFlag;


    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
