package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 应急资源明细业务对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("应急资源明细业务对象")
public class ResourceDetailBo extends BaseEntity {

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    private String id;

    /**
     * 资源id
     */
    @ApiModelProperty(value = "资源id")
    private String resourceId;

    private Integer resourceType;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String model;

    /**
     * 规格
     */
    @ApiModelProperty(value = "规格")
    private String size;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private BigDecimal num;

    private BigDecimal availableNum;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

    private String pic;

    private String sex;

    private String idcard;

    private String birth;

    private String age;

    private String position;

    private String political;

    private String contactPhone;

    // 车船类型（车辆、船舶）
    private String carType;

    private String carDetailType;
    // 限载量
    private String carLimit;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "$column.columnComment")
    private String delFlag;


    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
