package com.ruoyi.zhdd.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 单兵数据信息业务对象 b_single_device
 *
 * @author xintong
 * @date 2021-12-17
 */

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("单兵数据信息业务对象")
public class SingleDeviceBo extends BaseEntity {

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private String userId;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String userName;

    /**
     * 用户类型
     */
    @ApiModelProperty(value = "用户类型")
    private String userType;

    /**
     * 设备id
     */
    @ApiModelProperty(value = "设备id")
    private String deviceCode;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private BigDecimal gpsX;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private BigDecimal gpsY;

    /**
     * 高度信息。单位米
     */
    @ApiModelProperty(value = "高度信息。单位米")
    private BigDecimal height;

    /**
     * 方向角(正北方为原点，顺时针为正)
     */
    @ApiModelProperty(value = "方向角(正北方为原点，顺时针为正)")
    private BigDecimal angle;

    /**
     * 时速。单位（公里/小时）
     */
    @ApiModelProperty(value = "时速。单位（公里/小时）")
    private BigDecimal speed;

    /**
     * 定位星数
     */
    @ApiModelProperty(value = "定位星数")
    private Integer startCount;

    /**
     * 数据来源（1：app。2：车载。3：单兵。4：PDT 350M。5：无人机）
     */
    @ApiModelProperty(value = "数据来源（1：app。2：车载。3：单兵。4：PDT 350M。5：无人机）")
    private Integer dataSource;

    /**
     * gps上报时间 20060102T150405Z
     */
    @ApiModelProperty(value = "gps上报时间 20060102T150405Z")
    private String time;

    /**
     * 扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段
     */
    @ApiModelProperty(value = "扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段")
    private String extendInfo;

    /**
     * 设备的扩展信息
     */
    @ApiModelProperty(value = "设备的扩展信息")
    private String deviceExtendInfo;

    private String channelId;

    /**
     * 分页大小
     */
    @ApiModelProperty("分页大小")
    private Integer pageSize;

    /**
     * 当前页数
     */
    @ApiModelProperty("当前页数")
    private Integer pageNum;

    /**
     * 排序列
     */
    @ApiModelProperty("排序列")
    private String orderByColumn;

    /**
     * 排序的方向desc或者asc
     */
    @ApiModelProperty(value = "排序的方向", example = "asc,desc")
    private String isAsc;

}
