package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * 值班报告信息视图对象 b_duty_report
 *
 * @author xintong
 * @date 2021-10-11
 */
@Data
@ApiModel("值班报告日志信息视图对象")
public class DutyReportRecordVo {

    private static final long serialVersionUID = 1L;

    /**
     * $pkColumn.columnComment
     */
    private String id;

    private String reportId;

    /**
     * 报告内容
     */
    @Excel(name = "值班记录", orderNum = "4")
    @ApiModelProperty("报告内容")
    private String reportContent;

    /**
     * 报告状态
     */
    @ApiModelProperty("报告状态")
    private Integer status;

    private String createBy;

    private Date updateTime;

    private Date createTime;

    @Excel(name = "值班人员", orderNum = "1")
    private String createByName;

    // 接班人员
    private String receiveUser;
    @Excel(name = "交班时间", orderNum = "3", format = "yyyy-MM-dd HH:mm:ss")
    private Date passDateTime;

    @Excel(name = "接班人员", orderNum = "5")
    private String receiveUserName;

    private Date deadline;

    @Excel(name = "接班时间", orderNum = "2", format = "yyyy-MM-dd HH:mm:ss")
    private Date receiveDateTime;

}
