package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.ruoyi.zhdd.domain.bo.MessagePushUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * 事件处置流程视图对象 b_incident_process
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@ApiModel("事件处置流程视图对象")
public class IncidentTaskVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 所属事件id
     */
    @Excel(name = "所属事件id")
    @ApiModelProperty("所属事件id")
    private String incidentId;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    private String sendFlag;

    // 是否发送。0-未发送，1-已发送
    private String taskSend;

    // 待办消息状态。0-未办。1-已办
    private String backLogFlag;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;

    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;

    private String exprJson;

    private String chemicals;

    private String chemicalsText;

    private String chemicalsHtml;

    private List<MessagePushUser> messagePushUsers;

    // 方案来源（1：历史事件）
    private String channel;
}
