package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.ruoyi.common.core.domain.TreeSelect;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * 事件基础视图对象 b_incident
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@ApiModel("事件基础视图对象")
public class IncidentVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 事件类型
     */
    @Excel(name = "事件类型")
    @ApiModelProperty("事件类型")
    private Integer type;

    /**
     * 事件等级
     */
    @Excel(name = "事件等级")
    @ApiModelProperty("事件等级")
    private Integer level;

    /**
     * 事件地址
     */
    @Excel(name = "事件地址")
    @ApiModelProperty("事件地址")
    private String addr;

    /**
     * 经纬度
     */
    @Excel(name = "经纬度")
    @ApiModelProperty("经纬度")
    private String locations;

    /**
     * 上报部门
     */
    @Excel(name = "上报部门")
    @ApiModelProperty("上报部门")
    private String createDept;

    @ApiModelProperty(value = "预案来源部门")
    private String planDept;

    /**
     * 事件来源
     */
    @Excel(name = "事件来源")
    @ApiModelProperty("事件来源")
    private String source;

    /**
     * 事件描述
     */
    @Excel(name = "事件描述")
    @ApiModelProperty("事件描述")
    private String des;

    /**
     * 上传图片地址
     */
    @Excel(name = "上传图片地址")
    @ApiModelProperty("上传图片地址")
    private String pic;

    /**
     * 上传视频地址
     */
    @Excel(name = "上传视频地址")
    @ApiModelProperty("上传视频地址")
    private String video;

    /**
     * 拓展1
     */
    @Excel(name = "拓展1")
    @ApiModelProperty("拓展1")
    private String expr1;

    /**
     * 拓展2
     */
    @Excel(name = "拓展2")
    @ApiModelProperty("拓展2")
    private String expr2;

    /**
     * json拓展，用于存取多出的字段
     */
    @ApiModelProperty("json拓展，用于存取多出的字段")
    private String exprJson;

    @ApiModelProperty(value = "归档总结")
    private String conclusion;

    private String conclusionDeal;

    @ApiModelProperty(value = "归档总结附件")
    private String conclusionFile;

    /**
     * 事件标题
     */
    @Excel(name = "事件标题")
    @ApiModelProperty("事件标题")
    private String name;

    /**
     * 事件状态 1：预警，2：事件 3：归档
     */
    @Excel(name = "事件状态 1：预警，2：事件 3：归档")
    @ApiModelProperty("事件状态 1：预警，2：事件 3：归档")
    private Integer status;

    @ApiModelProperty(value = "总指挥")
    private String commander;

    private String commanderText;

    @ApiModelProperty(value = "总指挥用户结构")
    private String commanderUser;

    /**
     * 主办单位
     */
    @Excel(name = "主办单位")
    @ApiModelProperty("主办单位")
    private String madinDept;
    private String madinDeptText;
    private List<TreeSelect> madinDeptList;

    @ApiModelProperty(value = "主办单位用户结构")
    private String madinDeptUser;
    private String madinTaskUser;

    /**
     * 协办单位 多个数据用，分割
     */
    @Excel(name = "协办单位 多个数据用，分割")
    @ApiModelProperty("协办单位 多个数据用，分割")
    private String assistDept;
    private String assistDeptText;
    private List<TreeSelect> assistDeptList;

    @ApiModelProperty(value = "协办单位用户结构")
//    private String assistDeptUser;
    private String assistTaskUser;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;

    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Excel(name = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    // 忽略说明
    private String ignores;

    private String typeText;

    private String levelText;

    @ApiModelProperty("事件发生时间")
    private Date happenTime;

    /**
     * 首次派发和处置时间
     */
    private String distributeTime;
    // 首次处置时间
    private String dealTime;
    // 办结时间
    private String dealEndTime;

    // 事件的历史处置方案
//    private List<IncidentTaskVo> incidentTaskVoList;

}
