package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 预案管理视图对象 b_plan
 *
 * @author xitong
 * @date 2021-09-28
 */
@Data
@ApiModel("预案管理视图对象")
public class PlanVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty("主键id")
    private String id;

    /**
     * 预案名称
     */
    @Excel(name = "预案名称")
    @ApiModelProperty("预案名称")
    private String name;

    /**
     * 预案类型
     */
    @Excel(name = "预案类型")
    @ApiModelProperty("预案类型")
    private Integer type;

    private String reviseDay;

    /**
     * 创建部门
     */
    @Excel(name = "创建部门")
    @ApiModelProperty("创建部门")
    private String createDept;

    @Excel(name = "创建人")
    @ApiModelProperty("创建人")
    private String createBy;

    @Excel(name = "创建时间")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Excel(name = "更新时间")
    @ApiModelProperty("更新时间")
    private Date updateTime;

    private Map<String, List<PlanTaskVo>> planTasks;

    private List<PlanFileVo> planFiles;
}
