package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 应急资源明细视图对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@ApiModel("应急资源明细视图对象")
public class ResourceDetailVo {

    private static final long serialVersionUID = 1L;

    /**
     * $pkColumn.columnComment
     */
    @ApiModelProperty("$pkColumn.columnComment")
    private String id;

    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private String resourceId;

    private Integer resourceType;

    /**
     * 名称
     */
    @Excel(name = "物资名称", width = 20)
    @ApiModelProperty("名称")
    private String name;

    /**
     * 型号
     */
    @Excel(name = "型号", width = 20)
    @ApiModelProperty("型号")
    private String model;

    /**
     * 规格
     */
    @Excel(name = "规格", width = 20)
    @ApiModelProperty("规格")
    private String size;

    /**
     * 数量
     */
    @Excel(name = "仓储数量", width = 20)
    @ApiModelProperty("数量")
    private BigDecimal num;

    @Excel(name = "可用数量", width = 20)
    private BigDecimal availableNum;

    private String pic;

    /**
     * 单位
     */
    @Excel(name = "计量单位")
    @ApiModelProperty("单位")
    private String unit;

    private String sex;

    private String idcard;

    private String birth;

    private String age;

    private String position;

    private String political;

    private String contactPhone;

    // 车船类型（车辆、船舶）
    private String carType;

    private String carDetailType;
    // 限载量
    private String carLimit;


}
