package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 * 应急资源明细视图对象 b_resource_detail
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@ApiModel("应急队伍资源明细导出视图对象")
public class ResourceTeamDetailExport {

    private static final long serialVersionUID = 1L;

    @Excel(name = "行业主管部门 ", needMerge = true, width = 25)
    private String adminOrgName;

    /**
     * 资源id
     */
    @ApiModelProperty("资源id")
    private String resourceId;

    @Excel(name = "管理单位", needMerge = true, width = 25)
    private String manageUnit;

    @Excel(name = "队伍名称", needMerge = true, width = 25)
    private String resourceName;

    @Excel(name = "联系人", needMerge = true)
    private String contactName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话", needMerge = true, width = 13)
    private String contactPhone;

    @Excel(name = "地址", width = 15, needMerge = true)
    private String address;

    @ExcelCollection(name = "明细")
    private List<ResourceTeamDetailVo> detail;

}
