package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.TreeSelect;
import com.ruoyi.zhdd.domain.ResourceDetail;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 * 应急资源视图对象 b_resource
 *
 * @author xintong
 * @date 2021-10-27
 */
@Data
@ApiModel("应急资源视图对象")
public class ResourceVo {

    private static final long serialVersionUID = 1L;

    /**
     * $pkColumn.columnComment
     */
    @ApiModelProperty("$pkColumn.columnComment")
    private String id;

    /**
     * 资源类型。1-仓库。2-队伍.3-车辆
     */
    @Excel(name = "资源类型。1-仓库。2-队伍.3-车辆")
    @ApiModelProperty("资源类型。1-仓库。2-队伍.3-车辆")
    private Integer resourceType;

    @ApiModelProperty("位置类型")
    private String locationType;

    /**
     * 名称
     */
    @Excel(name = "名称")
    @ApiModelProperty("名称")
    private String name;

    /**
     * 地址
     */
    @Excel(name = "地址")
    @ApiModelProperty("地址")
    private String address;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private String latitude;

    /**
     * 管理单位
     */
    @Excel(name = "管理单位")
    @ApiModelProperty("管理单位")
    private String manageUnit;
    private String manageUnitId;
    private List<TreeSelect> manageUnitList;

    private String deptId;

    /**
     * 人数
     */
    @ApiModelProperty("物资数量、队伍数量、车辆数量")
    private Integer num;

    @ApiModelProperty("船舶数量")
    private Integer shipNum;

    /**
     * 联系人
     */
    @Excel(name = "联系人")
    @ApiModelProperty("联系人")
    private String contactName;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    @ApiModelProperty("联系电话")
    private String contactPhone;

    private List<ResourceDetail> resourceDetailList;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String adminOrgName;
}
