package com.ruoyi.zhdd.domain.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.ruoyi.common.annotation.ExcelDictFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 单兵数据信息视图对象 b_single_device
 *
 * @author xintong
 * @date 2021-12-17
 */
@Data
@ApiModel("单兵数据信息视图对象")
public class SingleDeviceVo {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private String userId;

    /**
     * 用户名
     */
    @Excel(name = "用户名")
    @ApiModelProperty("用户名")
    private String userName;

    /**
     * 用户类型
     */
    @Excel(name = "用户类型")
    @ApiModelProperty("用户类型")
    private String userType;

    /**
     * 设备id
     */
    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private String deviceCode;

    /**
     * 经度
     */
    @Excel(name = "经度")
    @ApiModelProperty("经度")
    private BigDecimal gpsX;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    @ApiModelProperty("纬度")
    private BigDecimal gpsY;

    /**
     * 高度信息。单位米
     */
    @Excel(name = "高度信息。单位米")
    @ApiModelProperty("高度信息。单位米")
    private BigDecimal height;

    /**
     * 方向角(正北方为原点，顺时针为正)
     */
    @Excel(name = "方向角(正北方为原点，顺时针为正)")
    @ApiModelProperty("方向角(正北方为原点，顺时针为正)")
    private BigDecimal angle;

    /**
     * 时速。单位（公里/小时）
     */
    @Excel(name = "时速。单位")
    @ExcelDictFormat(readConverterExp = "公=里/小时")
    @ApiModelProperty("时速。单位（公里/小时）")
    private BigDecimal speed;

    /**
     * 定位星数
     */
    @Excel(name = "定位星数")
    @ApiModelProperty("定位星数")
    private Integer startCount;

    /**
     * 数据来源（1：app。2：车载。3：单兵。4：PDT 350M。5：无人机）
     */
    @Excel(name = "数据来源")
    @ExcelDictFormat(readConverterExp = "1=：app。2：车载。3：单兵。4：PDT,3=50M。5：无人机")
    @ApiModelProperty("数据来源（1：app。2：车载。3：单兵。4：PDT 350M。5：无人机）")
    private Integer dataSource;

    /**
     * gps上报时间 20060102T150405Z
     */
    @Excel(name = "gps上报时间 20060102T150405Z")
    @ApiModelProperty("gps上报时间 20060102T150405Z")
    private String time;

    /**
     * 扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段
     */
    @Excel(name = "扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段")
    @ApiModelProperty("扩展信息。gps上报带的扩展信息。1：app带扩展字段。5：无人机带扩展字段")
    private String extendInfo;

    /**
     * 设备的扩展信息
     */
    @Excel(name = "设备的扩展信息")
    @ApiModelProperty("设备的扩展信息")
    private String deviceExtendInfo;

    private String channelId;

    /**
     * 在离线（）
     */
    private String stat;


}
