package com.ruoyi.zhdd.feign;

import com.ruoyi.zhdd.domain.bo.BacklogMessagePushBo;
import com.ruoyi.zhdd.domain.bo.BacklogMessageUpdateBo;
import com.ruoyi.zhdd.feign.fallback.FeignNoticeInfoFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description: 联旺待办消息接口
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@FeignClient(value = "backlog-info", fallback = FeignNoticeInfoFallback.class)
public interface FeignBacklogInfoService {

    /**
     * 接待办事项推送口
     *
     * @param backlogMessagePushBo
     */
    @PostMapping("/backlog")
    Object backlogMessagePush(@RequestBody BacklogMessagePushBo backlogMessagePushBo);

    @PutMapping("/backlog")
    Object backlogMessageUpdate(@RequestBody List<BacklogMessageUpdateBo> backlogMessageUpdateBos);

}
