package com.ruoyi.zhdd.feign;

import cn.hutool.json.JSONObject;
import com.ruoyi.zhdd.feign.fallback.FeignDocumentFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description: 联旺文件系统
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@FeignClient(value = "document-system", fallback = FeignDocumentFallback.class)
public interface FeignDocumentService {

    @PostMapping(value = "/file/upload", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    JSONObject fileUpload(@RequestPart(value = "file") MultipartFile file, @RequestParam(value = "bucketName") String bucketName);

}
