package com.ruoyi.zhdd.feign;

import cn.hutool.json.JSONObject;
import com.ruoyi.zhdd.domain.bo.MessagePushBo;
import com.ruoyi.zhdd.feign.fallback.FeignNoticeInfoFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @Description: 联旺消息接口
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@FeignClient(value = "notice-info", fallback = FeignNoticeInfoFallback.class)
public interface FeignNoticeInfoService {

    @PostMapping("/messagepushinfo")
    JSONObject messagePush(@RequestBody MessagePushBo messagePushBo);

    @GetMapping("/messagepushinfo/list")
    JSONObject messagePushInfoList(@RequestParam(value = "msSource") String msSource, @RequestParam(value = "msType") String msType, @RequestParam(value = "msNo") String msNo);
}
