package com.ruoyi.zhdd.feign.fallback;

import cn.hutool.json.JSONObject;
import com.ruoyi.zhdd.domain.AppInfo;
import com.ruoyi.zhdd.domain.GatewayDeptDetail;
import com.ruoyi.zhdd.domain.GatewayDeptList;
import com.ruoyi.zhdd.domain.GatewayDeptPage;
import com.ruoyi.zhdd.domain.GatewayUserDetail;
import com.ruoyi.zhdd.domain.GatewayUserPage;
import com.ruoyi.zhdd.feign.FeignUserManageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2022/1/12
 * @Version V1.0
 */
@Slf4j
@Component
public class FeignUserManageFallback implements FeignUserManageService {


    @Override
    public GatewayUserDetail userDetail(String userId) {
        log.error("获取用户详情失败");
        return null;
    }

    @Override
    public GatewayUserPage userPage(String name, Integer pageNum, Integer pageSize) {
        log.error("获取用户列表失败");
        return null;
    }

    @Override
    public GatewayDeptDetail deptDetail(String id) {
        log.error("获取部门详情失败");
        return null;
    }

    @Override
    public GatewayDeptList deptList() {
        log.error("获取部门列表失败");
        return null;
    }

    @Override
    public GatewayDeptPage deptPageList(Integer pageNum, Integer pageSize, String name) {
        log.error("获取部门分页列表失败");
        return null;
    }

    @Override
    public JSONObject updateSystemInfo(AppInfo appInfo) {
        log.error("更新应用信息失败");
        return null;
    }

    @Override
    public JSONObject updateDataCount(String appId, Integer dataCount) {
        log.error("更新系统数据量失败");
        return null;
    }

    @Override
    public JSONObject updateUserCount(String appId, Integer userCount) {
        log.error("更新数据用户数失败");
        return null;
    }
}
