package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.DutyEmp;
import com.ruoyi.zhdd.domain.bo.DutyEmpBo;
import com.ruoyi.zhdd.domain.bo.DutyEmpSaveBo;
import com.ruoyi.zhdd.domain.vo.DutyEmpVo;

import java.util.Collection;
import java.util.List;

/**
 * 值班排班信息Service接口
 *
 * @author xintong
 * @date 2021-10-11
 */
public interface IDutyEmpService extends IServicePlus<DutyEmp, DutyEmpVo> {
    /**
     * 查询单个
     *
     * @return
     */
    DutyEmpVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<DutyEmpVo> queryPageList(DutyEmpBo bo);

    /**
     * 查询列表
     */
    List<DutyEmpVo> queryList(DutyEmpBo bo);

    /**
     * 根据新增业务对象插入值班排班信息
     *
     * @param bo 值班排班信息新增业务对象
     * @return
     */
    Boolean insertByBo(DutyEmpSaveBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
