package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.DutyReportRecord;
import com.ruoyi.zhdd.domain.bo.DutyReportRecordBo;
import com.ruoyi.zhdd.domain.vo.DutyReportRecordVo;

import java.util.Collection;
import java.util.List;

/**
 * 值班报告信息Service接口
 *
 * @author xintong
 * @date 2021-10-11
 */
public interface IDutyReportRecordService extends IServicePlus<DutyReportRecord, DutyReportRecordVo> {
    /**
     * 查询单个
     *
     * @return
     */
    DutyReportRecordVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<DutyReportRecordVo> queryPageList(DutyReportRecordBo bo);

    /**
     * 查询列表
     */
    List<DutyReportRecordVo> queryList(DutyReportRecordBo bo);

    /**
     * 根据新增业务对象插入值班报告信息
     *
     * @param bo 值班报告信息新增业务对象
     * @return
     */
    Boolean insertByBo(DutyReportRecordBo bo);

    /**
     * 根据编辑业务对象修改值班报告信息
     *
     * @param bo 值班报告信息编辑业务对象
     * @return
     */
    Boolean updateByBo(DutyReportRecordBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

}
