package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.DutyReport;
import com.ruoyi.zhdd.domain.bo.DutyReportBo;
import com.ruoyi.zhdd.domain.vo.DutyReportVo;

import java.util.Collection;
import java.util.List;

/**
 * 值班报告信息Service接口
 *
 * @author xintong
 * @date 2021-10-11
 */
public interface IDutyReportService extends IServicePlus<DutyReport, DutyReportVo> {
    /**
     * 查询单个
     *
     * @return
     */
    DutyReportVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<DutyReportVo> queryPageList(DutyReportBo bo);

    /**
     * 查询列表
     */
    List<DutyReportVo> queryList(DutyReportBo bo);

    /**
     * 根据新增业务对象插入值班报告信息
     *
     * @param bo 值班报告信息新增业务对象
     * @return
     */
    Boolean insertByBo(DutyReportBo bo);

    /**
     * 根据编辑业务对象修改值班报告信息
     *
     * @param bo 值班报告信息编辑业务对象
     * @return
     */
    Boolean updateByBo(DutyReportBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean passwork(DutyReportBo bo);

    boolean receivework(String id);
}
