package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.IncidentProcess;
import com.ruoyi.zhdd.domain.bo.IncidentProcessBo;
import com.ruoyi.zhdd.domain.vo.IncidentProcessVo;

import java.util.Collection;
import java.util.List;

/**
 * 事件处置流程Service接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface IIncidentProcessService extends IServicePlus<IncidentProcess, IncidentProcessVo> {
    /**
     * 查询单个
     *
     * @return
     */
    IncidentProcessVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<IncidentProcessVo> queryPageList(IncidentProcessBo bo);

    /**
     * 查询列表
     */
    List<IncidentProcessVo> queryList(IncidentProcessBo bo);

    /**
     * 根据新增业务对象插入事件处置流程
     *
     * @param bo 事件处置流程新增业务对象
     * @return
     */
    String insertByBo(IncidentProcessBo bo);

    /**
     * 根据编辑业务对象修改事件处置流程
     *
     * @param bo 事件处置流程编辑业务对象
     * @return
     */
    Boolean updateByBo(IncidentProcessBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean backLogFinish(String id);
}
