package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.Incident;
import com.ruoyi.zhdd.domain.bo.IncidentBo;
import com.ruoyi.zhdd.domain.vo.IncidentVo;

import java.util.Collection;
import java.util.List;

/**
 * 事件基础Service接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface IIncidentService extends IServicePlus<Incident, IncidentVo> {
    /**
     * 查询单个
     *
     * @return
     */
    IncidentVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<IncidentVo> queryPageList(IncidentBo bo);

    /**
     * 查询列表
     */
    List<IncidentVo> queryList(IncidentBo bo);

    /**
     * 根据新增业务对象插入事件基础
     *
     * @param bo 事件基础新增业务对象
     * @return
     */
    String insertByBo(IncidentBo bo);

    /**
     * 根据编辑业务对象修改事件基础
     *
     * @param bo 事件基础编辑业务对象
     * @return
     */
    Boolean updateByBo(IncidentBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    void savePlanAndCreate(IncidentBo bo);

    /**
     * 查询历史事件以及对应的方案
     *
     * @param bo
     * @return
     */
    TableDataInfo<IncidentVo> queryHistory(IncidentBo bo);
}
