package com.ruoyi.zhdd.service;

import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.IncidentTask;
import com.ruoyi.zhdd.domain.bo.IncidentTaskBo;
import com.ruoyi.zhdd.domain.bo.IncidentTasksBo;
import com.ruoyi.zhdd.domain.vo.IncidentTaskVo;

import java.util.Collection;
import java.util.List;

/**
 * 事件处置流程Service接口
 *
 * @author xitong
 * @date 2021-09-28
 */
public interface IIncidentTaskService extends IServicePlus<IncidentTask, IncidentTaskVo> {
    /**
     * 查询单个
     *
     * @return
     */
    IncidentTaskVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<IncidentTaskVo> queryPageList(IncidentTaskBo bo);

    /**
     * 查询列表
     */
    List<IncidentTaskVo> queryList(IncidentTaskBo bo);

    /**
     * 根据新增业务对象插入事件处置流程
     *
     * @param bo 事件处置流程新增业务对象
     * @return
     */
    Boolean insertByBo(IncidentTasksBo bo);

    /**
     * 根据编辑业务对象修改事件处置流程
     *
     * @param bo 事件处置流程编辑业务对象
     * @return
     */
    Boolean updateByBo(IncidentTaskBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<IncidentTaskVo> listTaskInfo(String id);

    boolean copyTask(String oldId, String newId);

    boolean taskSend(IncidentTasksBo bo);
}
