package com.ruoyi.zhdd.service;

import com.ruoyi.zhdd.domain.IncidentUser;
import com.ruoyi.zhdd.domain.vo.IncidentUserVo;
import com.ruoyi.zhdd.domain.bo.IncidentUserBo;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 事件相关人员Service接口
 *
 * @author xintong
 * @date 2022-03-21
 */
public interface IIncidentUserService extends IServicePlus<IncidentUser, IncidentUserVo> {
	/**
	 * 查询单个
	 * @return
	 */
	IncidentUserVo queryById(String id);

	/**
	 * 查询列表
	 */
    TableDataInfo<IncidentUserVo> queryPageList(IncidentUserBo bo);

	/**
	 * 查询列表
	 */
	List<IncidentUserVo> queryList(IncidentUserBo bo);

	/**
	 * 根据新增业务对象插入事件相关人员
	 * @param bo 事件相关人员新增业务对象
	 * @return
	 */
	Boolean insertByBo(IncidentUserBo bo);

	/**
	 * 根据编辑业务对象修改事件相关人员
	 * @param bo 事件相关人员编辑业务对象
	 * @return
	 */
	Boolean updateByBo(IncidentUserBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
