package com.ruoyi.zhdd.service;

import cn.hutool.json.JSONObject;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhdd.domain.ResourceDetail;
import com.ruoyi.zhdd.domain.bo.ResourceDetailBo;
import com.ruoyi.zhdd.domain.vo.ResourceDetailStatic;
import com.ruoyi.zhdd.domain.vo.ResourceDetailVo;
import com.ruoyi.zhdd.domain.vo.ResourceVo;

import java.util.Collection;
import java.util.List;

/**
 * 应急资源明细Service接口
 *
 * @author xintong
 * @date 2021-10-27
 */
public interface IResourceDetailService extends IServicePlus<ResourceDetail, ResourceDetailVo> {
    /**
     * 查询单个
     *
     * @return
     */
    ResourceDetailVo queryById(String id);

    /**
     * 查询列表
     */
    TableDataInfo<ResourceDetailVo> queryPageList(ResourceDetailBo bo);

    /**
     * 查询列表
     */
    List<ResourceDetailVo> queryList(ResourceDetailBo bo);

    /**
     * 根据新增业务对象插入应急资源明细
     *
     * @param bo 应急资源明细新增业务对象
     * @return
     */
    Boolean insertByBo(ResourceDetailBo bo);

    /**
     * 根据编辑业务对象修改应急资源明细
     *
     * @param bo 应急资源明细编辑业务对象
     * @return
     */
    Boolean updateByBo(ResourceDetailBo bo);

    /**
     * 校验并删除数据
     *
     * @param ids     主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<ResourceVo> searchWarehouseByGoods(ResourceDetailBo bo);

    List<JSONObject> queryResourceAvailable(String id);

    List<Object> queryExistResourceId(Integer resouceType);

    List<ResourceDetailStatic> queryResourceTotalNum();
}
