package com.ruoyi.zhdd.service;

import com.ruoyi.zhdd.domain.SingleDevice;
import com.ruoyi.zhdd.domain.vo.SingleDeviceVo;
import com.ruoyi.zhdd.domain.bo.SingleDeviceBo;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 单兵数据信息Service接口
 *
 * @author xintong
 * @date 2021-12-17
 */
public interface ISingleDeviceService extends IServicePlus<SingleDevice, SingleDeviceVo> {
	/**
	 * 查询单个
	 * @return
	 */
	SingleDeviceVo queryById(String userId);

	/**
	 * 查询列表
	 */
    TableDataInfo<SingleDeviceVo> queryPageList(SingleDeviceBo bo);

	/**
	 * 查询列表
	 */
	List<SingleDeviceVo> queryList(SingleDeviceBo bo);

	/**
	 * 根据新增业务对象插入单兵数据信息
	 * @param bo 单兵数据信息新增业务对象
	 * @return
	 */
	Boolean insertByBo(SingleDeviceBo bo);

	/**
	 * 根据编辑业务对象修改单兵数据信息
	 * @param bo 单兵数据信息编辑业务对象
	 * @return
	 */
	Boolean updateByBo(SingleDeviceBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
