package com.ruoyi.zhdd.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.common.utils.PageUtils;
import com.ruoyi.common.core.page.PagePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.mybatisplus.core.ServicePlusImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.ruoyi.zhdd.domain.bo.IncidentUserBo;
import com.ruoyi.zhdd.domain.vo.IncidentUserVo;
import com.ruoyi.zhdd.domain.IncidentUser;
import com.ruoyi.zhdd.mapper.IncidentUserMapper;
import com.ruoyi.zhdd.service.IIncidentUserService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 事件相关人员Service业务层处理
 *
 * @author xintong
 * @date 2022-03-21
 */
@Service
public class IncidentUserServiceImpl extends ServicePlusImpl<IncidentUserMapper, IncidentUser, IncidentUserVo> implements IIncidentUserService {

    @Override
    public IncidentUserVo queryById(String id){
        return getVoById(id);
    }

    @Override
    public TableDataInfo<IncidentUserVo> queryPageList(IncidentUserBo bo) {
        PagePlus<IncidentUser, IncidentUserVo> result = pageVo(PageUtils.buildPagePlus(), buildQueryWrapper(bo));
        return PageUtils.buildDataInfo(result);
    }

    @Override
    public List<IncidentUserVo> queryList(IncidentUserBo bo) {
        return listVo(buildQueryWrapper(bo));
    }

    private LambdaQueryWrapper<IncidentUser> buildQueryWrapper(IncidentUserBo bo) {
        Map<String, Object> params = bo.getParams();
        LambdaQueryWrapper<IncidentUser> lqw = Wrappers.lambdaQuery();
        lqw.eq(StringUtils.isNotBlank(bo.getIncidentId()), IncidentUser::getIncidentId, bo.getIncidentId());
        lqw.eq(StringUtils.isNotBlank(bo.getUserId()), IncidentUser::getUserId, bo.getUserId());
        return lqw;
    }

    @Override
    public Boolean insertByBo(IncidentUserBo bo) {
        IncidentUser add = BeanUtil.toBean(bo, IncidentUser.class);
        validEntityBeforeSave(add);
        return save(add);
    }

    @Override
    public Boolean updateByBo(IncidentUserBo bo) {
        IncidentUser update = BeanUtil.toBean(bo, IncidentUser.class);
        validEntityBeforeSave(update);
        return updateById(update);
    }

    /**
     * 保存前的数据校验
     *
     * @param entity 实体类数据
     */
    private void validEntityBeforeSave(IncidentUser entity){
        //TODO 做一些数据校验,如唯一约束
    }

    @Override
    public Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid) {
        if(isValid){
            //TODO 做一些业务上的校验,判断是否需要校验
        }
        return removeByIds(ids);
    }
}
